> ## Documentation Index
> Fetch the complete documentation index at: https://coincapapi.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get assets by id

> Unique identifier for the cryptocurrency (e.g., bitcoin).



## OpenAPI

````yaml get /assets/{id}
openapi: 3.0.0
info:
  title: CoinCap API
  description: >-
    API for accessing cryptocurrency data including assets, rates, exchanges,
    markets, and candles.
  version: '1'
servers:
  - url: https://api.coincap.io/v2
    description: Official CoinCap API Server
  - url: https://virtserver.swaggerhub.com/REXSENDER1/CoinCap/1
    description: SwaggerHub API Auto Mocking
security:
  - bearerAuth: []
tags:
  - name: Asset
    description: >-
      Endpoints related to cryptocurrency data, including details about
      individual assets.
  - name: Rates
    description: Provides exchange rate information for various currencies.
  - name: Exchanges
    description: Information about cryptocurrency exchanges, including trading data.
  - name: Markets
    description: Details about cryptocurrency markets and trading pairs.
  - name: Candles
    description: Historical price data for cryptocurrencies in candlestick format.
paths:
  /assets/{id}:
    get:
      tags:
        - Asset
      summary: Retrieve asset by ID
      description: Unique identifier for the cryptocurrency (e.g., bitcoin).
      parameters:
        - name: id
          in: path
          description: The unique identifier of the asset
          required: true
          style: simple
          explode: false
          schema:
            type: string
            example: bitcoin
      responses:
        '200':
          description: Detailed information about the cryptocurrency.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_200'
              example:
                id: bitcoin
                rank: 1
                symbol: BTC
                name: Bitcoin
                supply: '19788862.0000000000000000'
                maxSupply: '21000000.0000000000000000'
                marketCapUsd: '1904557171625.0952172577833640'
                volumeUsd24Hr: '12724040223.1452060699561802'
                priceUsd: '96243.8957644504882220'
                changePercent24Hr: '0.9762522061124105'
                vwap24Hr: '95583.4674577419449477'
      security:
        - bearerAuth: []
components:
  schemas:
    inline_response_200:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for asset
        rank:
          type: integer
          description: >-
            Rank is in ascending order - this number is directly associated with
            the market cap, where the highest market cap receives rank 1
        symbol:
          type: string
          description: Most common symbol used to identify this asset on an exchange
        name:
          type: string
          description: Proper name for asset
        supply:
          type: string
          description: Available supply for trading
        maxSupply:
          type: string
          description: Total quantity of asset issued
        marketCapUsd:
          type: string
          description: Supply x price
        volumeUsd24Hr:
          type: string
          description: Quantity of trading volume represented in USD over the last 24 hours
        priceUsd:
          type: string
          description: >-
            Volume-weighted price based on real-time market data, translated to
            USD
        changePercent24Hr:
          type: string
          description: The direction and value change in the last 24 hours
        vwap24Hr:
          type: string
          description: Volume Weighted Average Price in the last 24 hours
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````